      program read

      PARAMETER ( nyear=29)
      real sdex(15,nyear)

C  15 ensemble members
C  nyear=29: 1981-2009

      open(11,file='dex2_sstASO_ic06')

      open(21,file='dex2_sstASO_ic06.gr',
     1 form='unformatted',access='direct',recl=nyear*4)

      do iy=1,nyear
      read(11,444) iyear, (sdex(k,iy),k=1,15)
444   format(I4,2x,15f7.2)
      end do

      print *, sdex(10,21),sdex(4,10)

      do id=1,15
      read(21,rec=id) (sdex(id,iy),iy=1,nyear)
      end do
      
      print *, sdex(10,21),sdex(4,10)

      stop
      end

